Update security settings
curl --request PATCH \
--url https://app.alana.shopping/api/workspace/{workspaceId}/security \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enforce_2fa": true,
"session_timeout_minutes": 722,
"password_min_length": 9,
"require_special_chars": true,
"ip_whitelist": [
"<string>"
]
}
'{}Update Security Settings
Update workspace security policies
PATCH
/
api
/
workspace
/
{workspaceId}
/
security
Update security settings
curl --request PATCH \
--url https://app.alana.shopping/api/workspace/{workspaceId}/security \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enforce_2fa": true,
"session_timeout_minutes": 722,
"password_min_length": 9,
"require_special_chars": true,
"ip_whitelist": [
"<string>"
]
}
'{}Authorizations
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Path Parameters
The workspace ID
Pattern:
^ws_[a-z0-9]+$Body
application/json
Response
Security settings updated successfully
The response is of type object.
Last modified on February 16, 2026
⌘I